Create Profile Attribute (Dates)
curl --request POST \
--url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/attributes/dates \
--header 'Content-Type: application/json' \
--data '
{
"handle": "<string>",
"relationship": "<string>",
"date": "2023-12-25",
"is_recurring": true,
"recurring_schedule": "<string>",
"name": "<string>",
"role": "<string>",
"description": "<string>",
"meta": [
"<string>"
],
"note": "<string>",
"links": [
{
"profile_id": "<string>",
"relationship": "<string>",
"role": "<string>"
}
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/attributes/dates"
payload = {
"handle": "<string>",
"relationship": "<string>",
"date": "2023-12-25",
"is_recurring": True,
"recurring_schedule": "<string>",
"name": "<string>",
"role": "<string>",
"description": "<string>",
"meta": ["<string>"],
"note": "<string>",
"links": [
{
"profile_id": "<string>",
"relationship": "<string>",
"role": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
handle: '<string>',
relationship: '<string>',
date: '2023-12-25',
is_recurring: true,
recurring_schedule: '<string>',
name: '<string>',
role: '<string>',
description: '<string>',
meta: ['<string>'],
note: '<string>',
links: [{profile_id: '<string>', relationship: '<string>', role: '<string>'}]
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/attributes/dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"profile_id": "<string>",
"date": "<string>",
"is_recurring": "<string>",
"recurring_schedule": "<string>",
"name": "<string>",
"handle": "<string>",
"relationship": "<string>",
"role": "<string>",
"description": "<string>",
"meta": "<string>",
"note": "<string>",
"links": [
{
"id": "<string>",
"attributes_date_id": "<string>",
"profile_id": "<string>",
"relationship": "<string>",
"role": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Profile Dates Attribute
Create Profile Attribute (Dates)
A POST to the /profiles/{profileId}/attributes/dates endpoint creates a Date Attribute for the Profile. Identical in behaviour to the PUT endpoint (matched on handle + relationship); a new Attribute returns 201, an existing one is updated and returns 200.
POST
/
v3
/
profiles
/
{profile}
/
attributes
/
dates
Create Profile Attribute (Dates)
Path Parameters
The profile ID
Body
application/json
Response
ProfileDatesAttribute
Show child attributes
Show child attributes
⌘I